Package org.eclipse.net4j.util.om.monitor

# Enum Class SubMonitor.ProbingMode

java.lang.Object
java.lang.Enum<SubMonitor.ProbingMode>
org.eclipse.net4j.util.om.monitor.SubMonitor.ProbingMode

All Implemented Interfaces:
  `Serializable`, `Comparable<SubMonitor.ProbingMode>`, `Constable`

Enclosing class:
  `SubMonitor`

public static enum SubMonitor.ProbingMode extends Enum<SubMonitor.ProbingMode>
Enumerates the possible probing mode values `OFF`, `STANDARD` and `FULL`.

Since:
  3.4
Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FULL`
`OFF`
`STANDARD`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final SubMonitor.ProbingMode`
`DEFAULT`

## Method Summary

Modifier and Type
Method
Description
`static SubMonitor.ProbingMode`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SubMonitor.ProbingMode[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### OFF

public static final SubMonitor.ProbingMode OFF

### STANDARD

public static final SubMonitor.ProbingMode STANDARD

### FULL

public static final SubMonitor.ProbingMode FULL

## Field Details

### DEFAULT

public static final SubMonitor.ProbingMode DEFAULT

## Method Details

### values

public static SubMonitor.ProbingMode[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static SubMonitor.ProbingMode valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null